org.apache.lucene.queryParser.core.nodes

## Interface TextableQueryNode

- All Known Implementing Classes:
    FieldQueryNode, FuzzyQueryNode, ParametricQueryNode, PrefixWildcardQueryNode, QuotedFieldQueryNode, WildcardQueryNode

      public interface TextableQueryNode

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.CharSequence` | `getText()`
    `void` | `setText(java.lang.CharSequence text)`

- - ### Method Detail

    - #### getText

          java.lang.CharSequence getText()

    - #### setText

          void setText(java.lang.CharSequence text)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.